/*! 
    \file class_list.h
    \brief list of orxonox classes

    this is used by the ObjectManager to identify and load important classes
*/


//! list of all classes to be loadable in via the ObjectManager
typedef enum classList 
{
  CL_CAMERA,
  CL_ENVIRONEMENT,
  CL_NPC,
  CL_PLAYER,
  CL_POWER_UP,
  CL_PROJECTILE,
  CL_SATELLITE,
  CL_SKYBOX,
  CL_SKYSPHERE,
  CL_TERRAIN,
  CL_TEST_BULLET,
  CL_TEST_ENTITY,
  CL_TEST_GUN,
  CL_WEAPON,
  CL_WORLD_ENTITY,

  CL_ANIMATION,
  CL_ANIMATION3D,
  CL_ANIMATION_PLAYER,

  CL_ARRAY,
  CL_BASE_OBJECT,
  CL_BASE,

  CL_NUMBER
};

/*
animation.o
animation3d.o
animation_player.o
array.o
base_entity.o
base_object.o
benchmark.o
camera.o
campaign.o
character_attributes.o
command_node.o
curve.o
environment.o
factory.o
game_loader.o
garbage_collector.o
glmenu_imagescreen.o
graphics_engine.o
helper_parent.o
ini_parser.o
keynames.o
light.o
list.o
load_param.o
material.o
md2Model.o
model.o
null_parent.o
objModel.o
object_manager.o
orxonox.o
p_node.o
particle_emitter.o
particle_engine.o
particle_system.o
player.o
primitive_model.o
projectile.o
resource_manager.o
satellite.o
skybox.o
skysphere.o
story_entity.o
substring.o
terrain.o
test_bullet.o
test_entity.o
test_gun.o
text_engine.o
texture.o
track_manager.o
track_node.o
vector.o
weapon.o
world.o
world_entity.o
*/
